Compare commits

...

2 commits

Author SHA1 Message Date
Ulf a5f28c3d6d New CheckMyIP.sh 2023-08-03 10:43:23 +02:00
Ulf aadac8d250 Neues Script CheckMyIP.sh hochgeladen. 2023-08-03 10:39:57 +02:00
2 changed files with 30 additions and 1 deletions

29
CheckMyIP.sh Executable file
View file

@ -0,0 +1,29 @@
#!/bin/bash
#
## Show my remote IP address
## (c) GPL by Ulf Bartolomäus ub1x@gmx.net
VERSION="Version 0.1.0 from 03.08.2023"
## Version info
# 0.1.0
# Initial VERSION
## Variables/Constants
BaseName="$( basename $0 .sh )" # BaseName einmal ermitteln
## Aufräumfunktion bei ungeplanter Beendung
MyCleanup () {
echo -e "\n\t\*****t$(date +%F_%T) at <$(hostname)>: stopped ****"
exit 10;
}
## Define cleanup function as default if a (specific) trap is generated
trap MyCleanup SIGHUP SIGINT SIGPIPE SIGTERM
if [ -x $(which curl) ] ; then
MyIP4=$(curl -4 ifconfig.co 2> /dev/null || echo "n/a")
MyIP6=$(curl -6 ifconfig.co 2> /dev/null || echo "n/a")
echo -e "${MyIP4} / ${MyIP6}"
else
echo -e "\n\t\*****t$(date +%F_%T) at <$(hostname)>: please install 'curl' ****"
fi

View file

@ -27,6 +27,6 @@ See also at [LUG-VS-Wiki Nützliche Scripte](https://lug-vs.org//lugvswiki/index
|[write-exif-comment.sh](write-exif-comment.sh)|Write JPEG EXIF comment in all *.jpg files|
|[CheckBackup.sh](CheckBackup.sh)|Check if the anacron tasks and give the status of the next backup|
|[CoreTemp.sh](CoreTemp.sh)|Read Core Temperature from Intel and AMD CPUs|
|[CheckMyIP.sh](CheckMyIP.sh)|check my IP at the internet (returns IP4 / IP6 address|